<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();

$finalidade=$sessao->getVar('finalidade');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$correio=$sessao->getVar('controle');
$previsao=$sessao->getVar('controle1');
$pagamento=$sessao->getVar('controle2');
$criterio=$sessao->getVar('controle3');
$pacote=$sessao->getVar('controle5');
$anoAmostras=$sessao->getVar('controle6');
$ultimoComprovanteEmitido=1+$sessao->getVar('controle7');
$imprimeCultivar=$sessao->getVar('controle11');
$anoCorrente=$sessao->getVar('anocorrente');

$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.2;
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 //$cinza=220;
			 $cinza=180;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 //aqui as partes do programa que ficam fora do laco
				//trouxe o codigo , quero capturar o nome do remetnte
			//ENTRA DE QUAKQUER MANEIRA
		    $idProdutor=$sessao->getVar('idProdutor'); 	
			$generica=new tabelagenerica();
			$generica->tabela="remetente";
			$generica->campos_valores = array( 
				   "prd_nome" => NULL,
				   "prd_cpf" => NULL,
				   "prd_email1" => NULL,
				   "prd_renasem" => NULL,
				   "prd_endereco" => NULL,
				   "prd_municipio" => NULL,
				   "prd_uf" => NULL,
				   "prd_cep" => NULL,
				   "prd_email3" => NULL,
				   "prd_telefone" => NULL,
				);
			$generica->extras_select =" where  prd_id=" . $idProdutor;
			$generica->selecionaCampos($generica);
		    while ($res = $generica->retornaDados()):
		        $produtor=$res->prd_nome;
		        $cpf=$res->prd_cpf;
		        $email=$res->prd_email1;
		        $renasem=$res->prd_renasem;
		        $endereco=$res->prd_endereco;
		        $municipio=$res->prd_municipio;
		        $uf=$res->prd_uf;
		        $cep=$res->prd_cep;
		        $agente=$res->prd_email3;
		        $telefone=$res->prd_telefone;
		    endwhile;               		 
			 
                //venho aqui e simplesmente escolho as colunas que eu quero no meu livro
				//if($modelo=='CURTO'):
                    //para cada modelo defino as larguras e os titulos. Suprimo as colunas que nao usar
					//com isso ja consigo que ele me mostre so o que eu realmente quero no livro
					//no vetor indices eu digo quais as colunas e em que posicao relativa
					$matrizLargura[1]=15;  $matrizTitulo[1]='Amostra';
					$matrizLargura[2]=25;  $matrizTitulo[2]='Lote';
					$matrizLargura[3]=20;  $matrizTitulo[3]='Espécie';
					$matrizLargura[4]=43;  $matrizTitulo[4]='Cultivar';
					$matrizLargura[5]=50;  $matrizTitulo[5]='Requerente';
					$matrizLargura[6]=39;  $matrizTitulo[6]='Tipo análise';
					$matrizLargura[7]=15;  $matrizTitulo[7]='RENASEM';//renasem do requerente
					$matrizLargura[8]=50;  $matrizTitulo[8]='Amostrador';
					$matrizLargura[9]=12;  $matrizTitulo[9]='Doc.';//
					$matrizLargura[10]=20; $matrizTitulo[10]='Pgto';
					$matrizLargura[11]=13; $matrizTitulo[11]='Safra';
					$matrizLargura[12]=12; $matrizTitulo[12]='Categ.';
					$matrizLargura[13]=16; $matrizTitulo[13]='Repres.';
					$matrizLargura[14]=13; $matrizTitulo[14]='Peneira';
					$matrizLargura[15]=10; $matrizTitulo[15]='Dt Amostragem';
					$matrizLargura[16]=7;  $matrizTitulo[16]='Previa';
					$matrizLargura[17]=7;  $matrizTitulo[17]='BAS';
					$matrizLargura[18]=15;  $matrizTitulo[18]='DT.Receb.';
					$matrizLargura[19]=111; $matrizTitulo[19]='Observações';
					$matrizLargura[20]=16; $matrizTitulo[20]='Custo';
					$matrizLargura[21]=12; $matrizTitulo[21]='Peso';
                    $vetorIndices=array(1,4,2,19);//define as colunas que vou ter e  as posicoes delas
				//endif;
            //esta linha mede quantos itens eu defini no array e é basica para imperessao
            $limite=sizeof($vetorIndices);
			 

			 
             //final das partes do programa que ficam fora do laco
			 
			 
			 			 
 
//pega datas em formato brasileiro/confere se esta valida e converte para formato americano	
		   $inicio=$sessao->getVar('inicio');
           $final=$sessao->getVar('final');
           if($criterio=='POR_DATA'):
			   $objetoValidacao=new validacao();
			   //data de inicio
			   $retorno=$objetoValidacao->converteDataBrasil_americana($inicio);//esta data vai validar o ano e somente esta
			   if($retorno=='invalida'):
				   printMSG('Preencha corretamente a data de entrada no formato dd/mm/aaaa, e do ano corrente. ','alerta');
			   else:
				   $inicio_americana=$retorno;
			   endif;
			   //data final
			   $retorno=$objetoValidacao->converteDataBrasil_americana($final);//esta data vai validar o ano e somente esta
			   if($retorno=='invalida'):
				   printMSG('Preencha corretamente a data final no formato dd/mm/aaaa, e do ano corrente. ','alerta');
			   else:
				   $final_americana=$retorno;
			   endif;
			else:   
                $amostraInicial=$inicio;			   
                $amostraFinal=$final;			   
            endif;//VERIFICA SE O CRITORIO É DATA	
	
	
	
            //cria o array conteudo################################################33
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$campos=" select fic_amostrador,fic_custo, fic_amostra,fic_amostra_previa, fic_lote,ctv_nome,fic_categoria,fic_safra,fic_peneira,fic_dt_entrada,fic_repre_unid,fic_id,esp_nome,fic_dt_amostragem,fic_amostra_previa,fic_observacao,fic_pagou,fic_aparelho ";
			//$inicio_americana='2013-01-01';
			//$final_americana='2015-01-01';
			
			
			

            //no caso de querer tirar a listagem de amostras do dia	
			//indirerente de quem é o produtor neste caso idprodutor=0		
			if($idProdutor>0):
				if($criterio=='POR_DATA'):
				     $generica->extras_select =$campos ."  from  ficha,cultivar,especies  where fic_dt_entrada between  '".$inicio_americana."' and '".$final_americana."'  && fic_cultivar=ctv_id   && ctv_especie=esp_id   && fic_produtor=" . $idProdutor." order by fic_amostra";
	            else:
				 
				     $generica->extras_select =$campos ."  from  ficha,cultivar,especies  where year(fic_dt_entrada)='".$anoAmostras."' and  fic_amostra between  '".$amostraInicial."' and '".$amostraFinal."'  && fic_cultivar=ctv_id   && ctv_especie=esp_id    &&  fic_produtor=" . $idProdutor." order by fic_amostra";
				endif;
            else:
				if($criterio=='POR_DATA'):
				     $generica->extras_select =$campos ."  from  ficha,cultivar,especies  where  fic_labo=".$idLabo." and fic_dt_entrada between  '".$inicio_americana."' and '".$final_americana."'  && fic_cultivar=ctv_id   && ctv_especie=esp_id order by fic_amostra";
	            else:
				 
				     $generica->extras_select =$campos ."  from  ficha,cultivar,especies  where  fic_labo=".$idLabo." and year(fic_dt_entrada)='".$anoAmostras."' and  fic_amostra between  '".$amostraInicial."' and '".$amostraFinal."'  && fic_cultivar=ctv_id   && ctv_especie=esp_id  order by fic_amostra";
				endif;
			endif;



			
			
			$sqlFinal=$generica->extras_select;
			$generica->selecionaCamposEspecial($generica);
			$contador=1;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			$valorTotal=0;
            $saldoDevedor=0;
            $linhaRelatorio=1;
			while ($resgenerica= $generica->retornaDados()):
                $amostraLong=$resgenerica->fic_id;
				$dataRecebimento=$resgenerica->fic_dt_entrada;
                $codigoAmostrador=$resgenerica->fic_amostrador;//precisa deste para colocar no box do remetente
	    		if($finalidade=='DEFINITIVA'):
 				   $numeroAmostra=$resgenerica->fic_amostra."/".substr($dataRecebimento,2,2);
				else:
				   $numeroAmostra=$resgenerica->fic_amostra_previa."/".substr($dataRecebimento,2,2);
				endif;
			    $matrizConteudo[$contador][1]=$numeroAmostra;//
                //pega a primeira e a ultima amostra da sequencia de amostras encontradas
				if($contador==1):
				  $primeiraAmostra=$numeroAmostra;
	            else:
				  $ultimaAmostra=$numeroAmostra;//se o contador nao é 1 ele vai atualizando a ultima
				endif;
                $matrizConteudo[$contador][2]=$resgenerica->fic_lote;
			    $matrizConteudo[$contador][4]=$resgenerica->ctv_nome;//
				/*/em cuiaba nao querem estas duas coluna
				if($imprimeCultivar=='semCultivar'):			
	                $matrizConteudo[$contador][2]='-';
				    $matrizConteudo[$contador][4]='-';
                endif;
				*/
			    $matrizConteudo[$contador][3]=$resgenerica->esp_nome;//
			    $matrizConteudo[$contador][11]=$resgenerica->fic_safra;//
			    $matrizConteudo[$contador][12]=$resgenerica->fic_categoria;//
			    $matrizConteudo[$contador][13]=$resgenerica->fic_repre_unid;//
			    $matrizConteudo[$contador][14]=$resgenerica->fic_peneira;//
			    //$matrizConteudo[$contador][14]=$resgenerica->fic_dt_amostragem;//
			    //$matrizConteudo[$contador][15]=$resgenerica->fic_amostra_previa;//
			    $matrizConteudo[$contador][18]=date("d/m/Y",strtotime($resgenerica->fic_dt_entrada));//
			    $matrizConteudo[$contador][19]=$resgenerica->fic_observacao;//
				$matrizConteudo[$contador][10]=$resgenerica->fic_pagou;//
				$matrizConteudo[$contador][21]=$resgenerica->fic_aparelho;//peso da amostra
                /////VAI CAPTURAR O DOCUMENTO QUE TEM(OU NAO)NESTA AMOSTRA//////////////
                //captura o numero do documento e o tipo
			    //ENTRA DE QUAKQUER MANEIRA
			    $genericaDoc=new tabelagenerica();
	
				$genericaDoc->tabela="documentosponte,documentos";
				$genericaDoc->campos_valores = array(
					   "doc_numero" => NULL,
					   "doc_tipo" => NULL,
				);
							
				$genericaDoc->extras_select =" where  dpo_amostra_vinculada=".$amostraLong." AND dpo_documento_autonumerador=doc_id LIMIT 1";
				$genericaDoc->selecionaCampos($genericaDoc);
                $tipoDoc=""; 
				$numeroDoc="";
				while ($resgenericaDoc= $genericaDoc->retornaDados()):
	               $tipoDoc=$resgenericaDoc->doc_tipo . " Nº";
	               $numeroDoc=$resgenericaDoc->doc_numero;
	            endwhile;      
				$matrizConteudo[$contador][9]=substr($tipoDoc,0,4).$numeroDoc;//
             
                //aqui vai gravar o campo fic_pagou caso tenha sido marcado PAGO
				$custo=0;
					
				//acha os testes solicitados
				$generica1=new tabelagenerica();
				$generica1->extras_select =" select tes_teste from  testessolicitados where tes_ficha=".$amostraLong;
				$generica1->selecionaCamposEspecial($generica1);
                $testes="";
				while ($resgenerica1= $generica1->retornaDados()):
				    $testes=$testes.$resgenerica1->tes_teste.'; ';//
				endwhile; 
			    $matrizConteudo[$contador][6]=$testes;//e
			    
				//determina o custo				
				$custo=$resgenerica->fic_custo;
				$matrizConteudo[$contador][20]=number_format($custo,2,'.','');
                //VAI SOMAR SO O QUE DEVE
				if($resgenerica->fic_pagou!='SIM'):
                  $saldoDevedor+=$custo;				
				endif;

			    $valorTotal+= $custo;
				$contador++;
				////////////////////grava o numero do recibo nas amostras//////////////
                $user = new amostras(array(
 				    'fic_comprovante'=>$ultimoComprovanteEmitido,
                ));
                $user->valorpk = $amostraLong;
                $user->extras_select = "WHERE   fic_id=$amostraLong";
                $user->selecionaTudo($user);
                $res = $user->retornaDados();
                $user->atualizar($user);
				/////////////////////////////////////////////
				
                //if($contador>30)break;
			endwhile; 

//captura os dados do amostrador de uma das amostras
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="amostrador";
		$generica->campos_valores = array(
				"amt_nome"  => NULL,
				"amt_renasem" => NULL,
			);
		$generica->extras_select =" where   amt_id=" . $codigoAmostrador;
	    $generica->selecionaCampos($generica);
        while ($resgenerica = $generica->retornaDados()):
   			$amostrador=$resgenerica->amt_nome;
            $renasemAmostrador=$resgenerica->amt_renasem;			
        endwhile;
        //$amostrador='juca';




			
//agora imprime	o corpo		
//o indice vai permitir eu imprimir na ordem que eu quiser e inclusive suprimir linhas	


		    $linhaRelatorio=1;
			for($i=1;$i<=$contador;$i++):
			   //cabecalho e salto de pagina
               if($linhaRelatorio==1):
				    $cota1=6;
					$pdf->AddPage();//adicionando a primera pafina 
                    //$vetorNormas=$objetocalculo->capturaNormas("Ficha_Recebimento","Basico",$idLabo);
                    $vetorNormas=$objetocalculo->capturaNormas("Ficha_Recebimento","Basico",$idLabo);
					/*IMPRIME O RETANGULO DAS NORMAS
					$posicaoNorma=164;
					$pdf->Rect($posicaoNorma,8,40,12);
					$pdf->setXY($posicaoNorma,8);
					$pdf->Cell(40,4,utf8_decode("FOR: ". $vetorNormas[1]),0,0);
					$pdf->setXY($posicaoNorma,12);
					$pdf->Cell(40,4,utf8_decode("REVISÃO:".$vetorNormas[2]),0,0);
					$pdf->setXY($posicaoNorma,16);
					$pdf->Cell(40,4,utf8_decode("PÁGINA:". $vetorNormas[3]),0,0);
                    */
					
		            //$pdf->SetFont('Times','',7);
					//cabecalho
				 	$posicaoCab1=60;$posicaoCab2=245;
					/*
		            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		            $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
					$pdf->SetFont('Arial','',10);
					$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(104,5,utf8_decode($vetorCabecalho[0]),0,1,'C');//lab nome
	     			$pdf->setXY($posicaoCab1,$cota1+4);$pdf->Cell(104,5,utf8_decode($vetorCabecalho[1]),0,1,'C');//lab nome
	     			$pdf->setXY($posicaoCab1,$cota1+8);$pdf->Cell(104,5,utf8_decode($vetorCabecalho[2]),0,1,'C');//lab nome
	     			$pdf->setXY($posicaoCab1,$cota1+12);$pdf->Cell(104,5,utf8_decode($vetorCabecalho[3]),0,1,'C');//lab nome
	     			$pdf->setXY($posicaoCab1,$cota1+16);$pdf->Cell(104,5,utf8_decode($vetorCabecalho[4]),0,1,'C');//lab nome
$pdf->SetFont('Arial','',8);
                   */
                    //retangulo do remetente  
					$pdf->SetLineWidth($grosso);
					$fichaNumero=234; 
					$nicio=1020;
					$final=1030;
		            $cota1=$cota1+25;
                    $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,35);//retangulo doremetente
                    $posicao2Requetente=130;
	     			$pdf->setXY($margemEsquerda,$cota1);
					$pdf->SetFont('Arial','B',10);
					$pdf->Cell($larguraUtil,5,utf8_decode('IDENTIFICACAO DAS AMOSTRAS -  FR Nº:'. $ultimoComprovanteEmitido. '/'.substr($anoCorrente,2,2).'   Amostras Nº:'.$primeiraAmostra .' Até '.$ultimaAmostra) ,1,1,'C',1);//lab nome
	     			$pdf->setXY($margemEsquerda,$cota1+5);
					$pdf->Cell($larguraUtil,5,utf8_decode('CLIENTE:') ,0,1,'C');//lab nome
					$pdf->SetFont('Arial','',10);
	     			$pdf->setXY($margemEsquerda,$cota1+10);
	     			$pdf->Cell(140,5,'Requerente:'.utf8_decode($produtor),0,1,'L');//lab nome
	     			$pdf->setXY($posicao2Requetente,$cota1+10);
	     			$pdf->Cell(140,5,utf8_decode('Nº do RENASEM:'.$renasem),0,1,'L');//lab nome



	     			$pdf->setXY($margemEsquerda,$cota1+15);
	     			$pdf->Cell(140,5,'CPF/CNPJ:'.utf8_decode($cpf.'                     E-mail:'.$email),0,1,'L');//lab nome


	     			$pdf->setXY($margemEsquerda,$cota1+20);
	     			$pdf->Cell(140,5,utf8_decode('Endereço:'.$endereco),0,1,'L');//lab nome

	     			$pdf->setXY($posicao2Requetente,$cota1+20);
	     			$pdf->Cell(140,5,utf8_decode('Município:'.$municipio.'/'.$uf),0,1,'L');//lab nome

	     			$pdf->setXY($margemEsquerda,$cota1+25);
	     			$pdf->Cell(140,5,'CEP:'.utf8_decode($cep.'              Agente:'.$agente),0,1,'L');//lab nome

	     			$pdf->setXY($posicao2Requetente,$cota1+25);
	     			$pdf->Cell(140,5,'Fone/Fax:'.utf8_decode($telefone),0,1,'L');//lab nome

                    $cotaAmostrador=$cota1+30;
	     			$pdf->setXY($margemEsquerda,$cota1+30);
	     			$pdf->Cell(140,5,'Amostrador:'.utf8_decode($amostrador),0,1,'L');//lab nome

	     			$pdf->setXY($posicao2Requetente,$cota1+30);
	     			$pdf->Cell(140,5,utf8_decode('Nº do RENASEM Am.:').$renasemAmostrador,0,1,'L');//lab nome
                  

					//$periodo=" Início:".$inicio." Final:" . $final. " Emissão:".date("d/m/Y");
	     			//$pdf->setXY($posicaoCab1,$cota1+24);$pdf->Cell(140,5,utf8_decode('[PERÍODO]:'.$periodo),0,1,'L');//lab nome
					
					//fim do retangulo rementente e agora vai para as amostras
					
					
					
		            //aqui imprime a linha de cabecalho //posso negrita/ colocar hachurrado etc 
		            $cota1=$cota1+38;
                    $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,200);//ret amostras para baixo	 
					$pdf->setXY($margemEsquerda,$cota1);
					$pdf->SetFont('Arial','B',10);
				    $pdf->Cell($larguraUtil,5,utf8_decode('DETALHAMENTO DAS AMOSTRAS'),1,0,'C',1);//lab nome
					$pdf->SetFont('Arial','',10);
					$cota1=$cota1+5;
					
					$pdf->SetLineWidth($fino);					
					
					$pdf->setXY($margemEsquerda,$cota1);
		            for($j=1;$j<=$limite;$j++):
						$indice=$vetorIndices[$j-1]; //O PRIMEIRO ITEM DO ARRAY É ZERO, CUIDAR COM ISSO
						$largura=$matrizLargura[$indice];
						$larguraTexto=ceil($largura*.7);
						$texto=$matrizTitulo[$indice];
						$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
					    $pdf->Cell($largura,5,utf8_decode($texto),1,0,'L',1);//lab nome
					endfor;
                endif;//testa se atingiu o numero de linhas			
			    $linhaRelatorio++;
                if($linhaRelatorio>20):
				   //$pdf->AddPage();//adicionando a primera pafina 
                   $linhaRelatorio=1;
				endif; 
                $pdf->setFont('Arial','',7);
			
                $cota1+=5;
				$pdf->setXY($margemEsquerda,$cota1);
                for($j=1;$j<=$limite;$j++): 
                    $pdf->setFont('Arial','',7);
				    $indice=$vetorIndices[$j-1]; 
					$largura=$matrizLargura[$indice];
					$larguraTexto=ceil($largura*.7);
					$texto=$matrizConteudo[$i][$indice];
					$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
                    if($j==2)$pdf->setFont('Arial','',6);
				    $pdf->Cell($largura,5,utf8_decode($texto),1,0,'C');//lab nome
                endfor;
			endfor;//for externos que vai pegar todas amostras
			
			//calibrar no braço
			$pdf->setXY(176,$cota1);
			$pdf->setFont('Arial','',7);
			//$pdf->Cell($matrizLargura[20],5,'TOTAL',0,0,'C');//lab nome
			$pdf->setXY(188,$cota1);
			//$pdf->setFont('Arial','B',10);
			//$pdf->Cell($matrizLargura[20],5,number_format($valorTotal,2,'.',''),0,0,'C');//lab nome
			//se foi informado correio >0 ele vai criar uma linha especial para isso
            if($correio>0):
			    $cota1+=5;
				$pdf->setXY(172,$cota1);
				$pdf->setFont('Arial','',7);
				$pdf->Cell($matrizLargura[20],5,'Correio',1,0,'C');//lab nome
				//$pdf->setXY(188,$cota1);
				//$pdf->setFont('Arial','B',10);
				$pdf->Cell($matrizLargura[20],5,number_format($correio,2,'.',''),1,0,'C');//lab nome
            endif;   
			//se foi informado pacote >0 ele vai criar uma linha especial para isso
            if($pacote>0):
			    $cota1+=5;
				$pdf->setXY(172,$cota1);
				$pdf->setFont('Arial','',7);
				$pdf->Cell($matrizLargura[20],5,'PCTI',1,0,'C');//lab nome
				//$pdf->setXY(188,$cota1+15);
				//$pdf->setFont('Arial','B',10);
				$pdf->Cell($matrizLargura[20],5,number_format($pacote,2,'.',''),1,0,'C');//lab nome
            endif;



			//se foi informado pacote >0 ele vai criar uma linha especial para isso
            if($correio>0  || $pacote>0):
                //total geral final 
				$cota1+=5;
				$pdf->setXY(172,$cota1);
				$pdf->setFont('Arial','',7);
				//$pdf->Cell($matrizLargura[20],5,'Total',1,0,'C');//lab nome
				//$pdf->setXY(188,$cota1+20);
				//$pdf->setFont('Arial','B',10);
				$valorTotal+=$correio;
				$valorTotal+=$pacote;
				//$pdf->Cell($matrizLargura[20],5,number_format($valorTotal,2,'.',''),1,0,'C');//lab nome
            endif;   




            $pdf->setFont('Arial','',7);

//penultimo box correio,portador datas etc
			/*
			//imprime o rodapé
			$cota1=265;
			$pdf->setFont('Arial','',7);
			$pdf->setXY($margemEsquerda,$cota1);
			
			//se é dimicron cruz alta vem um texto fixo, se eé cuiaba vem do dadstro lab
			//se nao for enhum destes ele vem em branco
			$montaEnderecoConcatenado="";
			if(substr($cliente,0,8)=='DIMICRON'):
			  $montaEnderecoConcatenado='Av. Santa Bárbara do Sul,377 - Cruz Alta-RS  CEP 96030-440';//lab nome
			endif;
			if(substr($cliente,0,15)=='DIMICRON CUIABA'):
			  $montaEnderecoConcatenado=$vetorCabecalho[1].$vetorCabecalho[2].$vetorCabecalho[3].$vetorCabecalho[4];
			endif;
			$pdf->Cell($larguraUtil,5,utf8_decode($montaEnderecoConcatenado),0,0,'C');//lab nome

*/


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
